# timegather.h File Reference

Time Gather Header. More...

`#include <synfig/valuenode_animated.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/time.h>`
`#include "value_desc.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | synfigapp

## Classes

struct | synfigapp::ValueBaseTimeInfo
struct | synfigapp::ActiveTimeInfo
struct | synfigapp::ActiveTimeInfo::actcmp
struct | synfigapp::timepoints_ref

## Functions

template<typename I1, typename I2>
bool | synfigapp::check_intersect (I1 b1, I1 end1, I2 b2, I2 end2, synfig::Time time_offset=0)
bool | synfigapp::get_closest_time (const synfig::Node::time_set &tset, const synfig::Time &t, const synfig::Time &range, synfig::Time &out)
void | synfigapp::recurse_valuedesc (synfigapp::ValueDesc valdesc, const std::set< synfig::Time > &tlist, timepoints_ref &vals, synfig::Time time=0)
void | synfigapp::recurse_layer (synfig::Layer::Handle layer, const std::set< synfig::Time > &tlist, timepoints_ref &vals, synfig::Time time=0)
void | synfigapp::recurse_canvas (synfig::Canvas::Handle canvas, const std::set< synfig::Time > &tlist, timepoints_ref &vals, synfig::Time time=0)

## Detailed Description

Time Gather Header.

$Id$